<?php  include_once('../../config/db.php');  //include_once('../config/check.php'); 






$query = " SELECT a.* FROM admbranch a  WHERE a.type=2  ";




$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();



foreach($result as $row)
{
  

    $actionButton = '<i class="fa fa-circle" style="color:green;"> </i></a>';
    //$edit = ' <form method="post" action="invcategorye" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit"></i>  </button></form> ' ; 
    $quantity = ' <form method="post" action="storequantity" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="thisstore" value="' . $row["id"] . '"   ">  View Quantity  <i class="fa fa-arrow-right"></i>  </button></form> ' ; 
    $movement = ' <form method="post" action="storemovement" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="thisstore" value="' . $row["id"] . '"   ">  View Movement   <i class="fa fa-arrow-right"></i>  </button></form> ' ; 
    
    
     $sub_array = array();
     $sub_array[] =  $actionButton  ;
    //  $sub_array[] =  $edit  ;
     $sub_array[] = $row['name'];
     $sub_array[] = $row['code'];
     $sub_array[] = $quantity;
     $sub_array[] = $movement;
    //  $sub_array[] = $row['code'];
    //  $sub_array[] = $row['iut'];
     
    //  $sub_array[] = $row['description'];
     $data[] = $sub_array;
     
 

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>

